OMGridData.Byte (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.grid
Class OMGridData.Byte

    java.lang.Object
      com.bbn.openmap.omGraphics.grid.OMGridData
          com.bbn.openmap.omGraphics.grid.OMGridData.Byte

All Implemented Interfaces:
  GridData, GridData.Byte

Enclosing class:
  OMGridData

    public static class OMGridData.Byte

extends OMGridData
implements GridData.Byte

Byte is a GridData object that contains bytes.

Nested Class Summary

Nested classes/interfaces inherited from class com.bbn.openmap.omGraphics.grid.OMGridData
`OMGridData.Boolean, OMGridData.Byte, OMGridData.Char, OMGridData.Double, OMGridData.Float, OMGridData.Int, OMGridData.Short`

Nested classes/interfaces inherited from interface com.bbn.openmap.omGraphics.grid.GridData
`GridData.Boolean, GridData.Byte, GridData.Char, GridData.Double, GridData.Float, GridData.Int, GridData.Short`

Field Summary
`protected byte[][]` | `data`

Fields inherited from class com.bbn.openmap.omGraphics.grid.OMGridData
`major`

Constructor Summary
`OMGridData.Byte(byte[][] d)`

Method Summary
`GridData` | `deepCopy()`
`java.lang.Object` | `get(int x, int y)`
`byte` | `getByteValue(int x, int y)`
`byte[][]` | `getData()`
`int` | `getNumColumns()`
`int` | `getNumRows()`
`void` | `setData(byte[][] d)`

Methods inherited from class com.bbn.openmap.omGraphics.grid.OMGridData
`getMajor, setMajor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.omGraphics.grid.GridData
`getMajor, setMajor`

Field Detail

### data

    protected byte[][] data

Constructor Detail

### OMGridData.Byte

    public OMGridData.Byte(byte[][] d)

Method Detail

### setData

    public void setData(byte[][] d)

### getData

    public byte[][] getData()

  Specified by:
    `getData` in interface `GridData.Byte`

### get

    public java.lang.Object get(int x,
                                int y)

  Specified by:
    `get` in interface `GridData`

### getByteValue

    public byte getByteValue(int x,
                             int y)

  Specified by:
    `getByteValue` in interface `GridData.Byte`

### getNumColumns

    public int getNumColumns()

  Specified by:
    `getNumColumns` in interface `GridData`

### getNumRows

    public int getNumRows()

  Specified by:
    `getNumRows` in interface `GridData`

### deepCopy

    public GridData deepCopy()

  Specified by:
    `deepCopy` in interface `GridData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details